<!--
SPDX-FileCopyrightText: © 2020 Open Networking Foundation <support@opennetworking.org>
SPDX-License-Identifier: Apache-2.0
--!>
# bird

BIRD routing daemon

## Requirements

Minimum ansible version: 2.9.5

## Examples

### Example: example configuration with two BGP peers
```yaml
bird_conf_filters:
  gcp_tunnel_in: |
    if (net ~ [ 10.168.0.0/20, 10.52.128.0/17, 10.45.128.0/17 ]) then accept;
    else reject;
  gcp_tunnel_out: |
    if (net ~ [ 10.93.1.0/24, 10.92.1.0/24, 10.53.128.0/17 ]) then accept;
    else reject;

bird_conf_templates:
  - name: gcp_tunnel
    protocol: bgp
    options: |
     import filter gcp_tunnel_in;
     import limit 10 action warn;

     export filter gcp_tunnel_out;
     export limit 10 action warn;

     keepalive time 20;
     hold time 60;
     graceful restart aware;

bird_conf_protocols:
  - name: gcp_tunnel1
    protocol: bgp
    options: |
      local 169.254.0.2 as 64521;
      neighbor 169.254.0.1 as 64520;
    template: gcp_tunnel
  - name: gcp_tunnel2
    protocol: bgp
    options: |
      local 169.254.0.6 as 64521;
      neighbor 169.254.0.5 as 64520;
    template: gcp_tunnel
```

### Example: playbook
```yaml
- hosts: bird
  roles:
    - bird
```

## License and Author

© 2020 Open Networking Foundation <support@opennetworking.org>

License: Apache-2.0
